Bug 107488 - Filesystem crashes and subsequently X crashes
Filesystem crashes and subsequently X crashes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 06:04 EDT by Need Real Name
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-20 13:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Messages, XFree86.0.log and mail (24.26 KB, text/plain)
2003-10-20 13:01 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-10-19 06:04:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
When starting up an error reading block 688145 (attempt to read block from 
filesytem resulted in short read) while doing inode scan.
Application of fsck clears out the problem but subsequently X- server crashes.
The program advises to attach XFree86.0.log an messages but I fail to find 
where I can do this in this wreched programm.I have the files on a floppy.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.not known
2.
3.
    

Additional info:
Comment 1 Bill Nottingham 2003-10-20 00:11:05 EDT
You can attach files via the 'create a new attachment' feature of bugzilla.
Comment 2 Mike A. Harris 2003-10-20 03:52:43 EDT
Sounds to me like your hard disk is dying, or your filesystem is corrupted,
and files are missing now that XFree86 can't find, so it is unable to start,
and gives you an error message.

You'll need to attach /var/log/XFree86.* and /etc/X11/XF86Config* and
/var/log/messages as individual uncompressed file attachments using bugzilla's
file attachment link below, so I can investigate the matter.
Comment 3 Need Real Name 2003-10-20 13:01:03 EDT
Created attachment 95314 [details]
Messages, XFree86.0.log and mail

In the text file is to be found : messages, XFree86.0.log and a mail generated
by RedHat
Comment 4 Mike A. Harris 2003-10-20 13:09:37 EDT
Oct 19 09:07:17 samhuinrh7 syslogd 1.4.1: restart.
Oct 19 09:08:13 samhuinrh7 kernel: hda: dma_intr: status=0x51 { DriveReady
SeekComplete Error }
Oct 19 09:08:13 samhuinrh7 kernel: hda: dma_intr: error=0x40 {
UncorrectableError }, LBAsect=38159174, sector=17563840
Oct 19 09:08:13 samhuinrh7 kernel: end_request: I/O error, dev 03:03 (hda),
sector 17563840



Oct 19 10:03:12 samhuinrh7 kernel: Filesystem panic (dev 02:00).
Oct 19 10:03:12 samhuinrh7 kernel:   fat_free: deleting beyond EOF
Oct 19 10:03:12 samhuinrh7 kernel:   File system has been set read-only
Oct 19 10:03:12 samhuinrh7 kernel: attempt to access beyond end of device
Oct 19 10:03:12 samhuinrh7 kernel: 02:00: rw=0, want=10, limit=4
Oct 19 10:03:12 samhuinrh7 kernel: dev = 02:00, ino = 314
Oct 19 10:03:12 samhuinrh7 kernel: Filesystem panic (dev 02:00).
Oct 19 10:03:12 samhuinrh7 kernel:   msdos_write_inode: unable to read i-node block
Comment 5 Mike A. Harris 2003-10-20 13:15:42 EDT
You're probably not going to like this, but unfortunately I'm afraid that
you're the unlucky victim of a dead or dying hard disk.  ;o/

I highly recommend that if you don't already have hard disk backups, that
you back up all important data immediately to another known good disk, and
replace your /dev/hda disk as soon as possible.

Closing bug as NOTABUG as this is a hardware failure.


Note You need to log in before you can comment on or make changes to this bug.